/**
*upnp App
* Define an App to manage unas upnp.
*/
var UpnpApp = UpnpApp || {};  //Define Upnp App namespace.
/**
*Constructor UNAS App
*/
UpnpApp.App = function () {
    this.id = 'Upnp Service';
    this.name = 'Upnp Service';
    this.version = '6.0.5';
    this.active = false;
    this.menuIcon = '/apps/upnp/images/logo.png?v=6.0.5&';
    this.shortcutIcon = '/apps/upnp/images/logo.png?v=6.0.5&';
    this.entryUrl = "/apps/upnp/upnp.html?v=6.0.5&";
    //this.entryHelpUrl = "/apps/upnp/upnp_help.html?v=6.0.5&";
    var self = this;
    this.UpnpAppWindow = function () {
        if(UNAS.CheckAppState('Upnp Service')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'UpnpAppWindow',
            title: UNAS._('Upnp Service'),
            icon: '/apps/upnp/images/logo_small.png?v=6.0.5&',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            loadMethod: 'xhr',
            contentURL: '/apps/upnp/upnp.html?v=6.0.5&',
            require: {  css: ['/apps/upnp/css/upnp.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Upnp Service",'UpnpAppWindow')}
        });
    };
    this.UpnpUninstall = function (){
        UNAS.RemoveDesktopShortcut('Upnp Service');
        UNAS.RemoveMenu('Upnp Service');
        UNAS.RemoveAppFromGroups('Upnp Service', 'ControlPanel');
        //UNAS.RemoveAppFromGroups('Upnp Service', 'Help');
        UNAS.RemoveAppFromApps('Upnp Service');
    };
    new UNAS.Menu('UNAS_ControlPanel_Network_Menu', this.name, this.menuIcon, 'Upnp Service', '', this.UpnpAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Upnp Service', this.UpnpAppWindow);
    new UNAS.RegisterToAppGroup(this.name, "ControlPanel", {'Type':"Network", "Location": 5, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    //new UNAS.RegisterToAppGroup(this.name, "Help", {'Type':"Network", "Location": 5, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('Upnp Service', UNAS._('Upnp Service')); //translate menu
        //UNAS.SetShortcutTitle('Upnp Service', UNAS._('Upnp Service'));
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('UpnpAppWindow', UNAS._('Upnp Service'));
        }
    };
    UNAS.LoadTranslation('/apps/upnp/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.UpnpAppWindow, this.UpnpUninstall);
};
new UpnpApp.App();
